{"title":"Create salesCreditMemoLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemoline_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemoline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemoline_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a sales credit memo line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":60,"chars":326},{"level":2,"title":"Request headers","slug":"request-headers","at":386,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":488,"chars":100},{"level":2,"title":"Response","slug":"response","at":588,"chars":135},{"level":2,"title":"Example","slug":"example","at":723,"chars":1841},{"level":2,"title":"Related information","slug":"related-information","at":2564,"chars":359}],"text":"Create a sales credit memo line object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesCreditMemos({id})/salesCreditMemoLines\nPOST businesscentralPrefix/companies({id})/salesCreditMemoLines({salesCreditMemoLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a salesCreditMemoLines object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a salesCreditMemoLines object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/salesCreditMemos({id})/salesCreditMemoLines\nContent-type: application/json\n\n{\n    \"itemId\": \"fca5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1896-S\",\n    \"description\": \"ATHENS Desk\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"unitPrice\": 1000.8,\n    \"quantity\": 1,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"taxCode\": \"FURNITURE\",\n    \"shipmentDate\": \"2020-08-21\",\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"cd7b3ba0-bde3-ea11-aa60-000d3ad7cacb\",\n    \"documentId\": \"cb7b3ba0-bde3-ea11-aa60-000d3ad7cacb\",\n    \"sequence\": 10000,\n    \"itemId\": \"fca5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1896-S\",\n    \"description\": \"ATHENS Desk\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"unitPrice\": 1000.8,\n    \"quantity\": 1,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 1000.8,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 6.0002,\n    \"totalTaxAmount\": 60.05,\n    \"amountIncludingTax\": 1060.85,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 1000.8,\n    \"netTaxAmount\": 60.05,\n    \"netAmountIncludingTax\": 1060.85,\n    \"shipmentDate\": \"2020-08-21\",\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Credit Memo Line<../resources/dynamics_salescreditmemoline>\nGet Sales Credit Memo Line<dynamics_salescreditmemoline_get>\nUpdate Sales Credit Memo Line<dynamics_salescreditmemoline_update>\nDelete Sales Credit Memo Line<dynamics_salescreditmemoline_delete>"}